# Get Google Business Profile performance metrics

Fetches Google Business Profile performance metrics.

```http
GET https://api.pozy.ai/v1/analytics/googlebusiness/performance
```

- Area: Analytics / Analytics
- Auth: Authorization: Bearer pz_live_...

## Query parameters

- `accountId` (string, required)
- `metrics` (string)
- `fromDate` (string (date))
- `toDate` (string (date))
- `startDate` (string (date))
- `endDate` (string (date))

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/analytics/googlebusiness/performance?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/analytics/googlebusiness/performance?accountId=696e0b682d0a31188e7a2ba9", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/analytics/googlebusiness/performance",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "accountId": "696e0b682d0a31188e7a2ba9",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `success`, boolean
- `accountId`, string
- `platform`, string
- `dateRange`, object
  - `startDate`, string (date)
  - `endDate`, string (date)
- `metrics`, map of object: Keys are free-form; each value has these fields
  - `total`, integer
  - `values`, array of object
    - `date`, string (date)
    - `value`, integer
- `dataDelay`, string

```json
{
  "success": true,
  "accountId": "696e0b682d0a31188e7a2ba9",
  "platform": "instagram",
  "dateRange": {
    "startDate": "2026-10-01",
    "endDate": "2026-10-01"
  },
  "metrics": {
    "key": {
      "total": 42,
      "values": [
        {
          "date": "2026-10-02T09:00:00.000Z",
          "value": 1
        }
      ]
    }
  },
  "dataDelay": "string"
}
```
